curl --request POST \
--url https://public-api.stora.co/2025-09/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"site": {
"id": "site_14b419f1096013f1"
},
"billing_period": "monthly",
"payment_method": "card",
"purchase_order_number": "PO123456",
"starts_at": "2025-03-04T14:41:00Z",
"emails": {
"booking_confirmation": false,
"move_in_day": false,
"payment_details": true
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"contact": {
"full_name": "John Doe",
"email": "john@doe.com",
"tax_id": "123456789",
"phone_number": "+447525920754",
"address": {
"line_1": "123 Main St",
"line_2": "Apt 4B",
"city": "Anytown",
"postal_code": "12345",
"state": "CA",
"country_alpha2": "US"
},
"type": "company",
"marketing_source": "recommendation",
"source": "walkin",
"use_case": "more_space"
},
"finalize": {
"cancel_redirect_url": "https://your-portal.com/orders/canceled"
},
"metadata": {
"source": "zapier",
"external_id": "abc_123"
},
"line_items": [
{
"type": "unit_type",
"quantity": 1,
"price": {
"amount": 1999
},
"item": {
"id": "utype_3b3aed5cca33b11d"
}
},
{
"type": "protection",
"quantity": 1,
"price": {
"amount": 2999
},
"item": {
"id": "plvl_851681552a608245"
}
},
{
"type": "product",
"quantity": 1,
"price": {
"amount": 1999
},
"item": {
"id": "prod_c4267b529ee675bd"
}
},
{
"type": "product",
"quantity": 2,
"price": {
"amount": 999
},
"item": {
"id": "prod_0bc539e1087f3070"
}
},
{
"type": "security_deposit",
"quantity": 1,
"price": {
"amount": 10000
},
"item": {
"id": "utype_3b3aed5cca33b11d"
}
}
]
}
'{
"order": {
"id": "order_9ef07151f2470754",
"billing_period": "monthly",
"contact": {
"id": "con_0ac0514ed0711462"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"created_at": "2025-02-22T14:41:00Z",
"email_notifications": {
"booking_confirmation": false,
"move_in_day": false,
"payment_details": true
},
"line_items": [
{
"id": "olitm_216f3087ddaf7756"
},
{
"id": "olitm_164fba4304f78ca3"
},
{
"id": "olitm_1d4561fd880ff259"
},
{
"id": "olitm_63ec122061433484"
},
{
"id": "olitm_9470fad13481e779"
}
],
"metadata": {
"source": "zapier",
"external_id": "abc_123"
},
"one_time_total": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"one_time_total_excluding_tax": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"payment_method": "card",
"payment_url": "https://acme.stora.test/payments/eyJfcmFpbHMiOnsibWVzc2FnZSI6Ik9yZGVyOjllZjA3MTUxZjI0NzA3NTQiLCJleHAiOm51bGwsInB1ciI6ImJvb2tpbmcifX0=--64460a36d14f62a4c152eb3e317212a7c68fc375/pay",
"purchase_order_number": "PO123456",
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"starts_at": "2025-03-04T14:41:00Z",
"status": "finalized",
"subscription": null,
"subtotal": {
"amount": 6997,
"currency": "GBP",
"formatted": "£69.97"
},
"tax": {
"amount": 584,
"currency": "GBP",
"formatted": "£5.84"
},
"tenancy": null,
"total": {
"amount": 3498,
"currency": "GBP",
"formatted": "£34.98"
},
"total_discount": {
"amount": 3499,
"currency": "GBP",
"formatted": "£34.99"
},
"total_excluding_tax": {
"amount": 2914,
"currency": "GBP",
"formatted": "£29.14"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Create an Order
Create a new order.
Required authorization scope: public.order:write
curl --request POST \
--url https://public-api.stora.co/2025-09/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"site": {
"id": "site_14b419f1096013f1"
},
"billing_period": "monthly",
"payment_method": "card",
"purchase_order_number": "PO123456",
"starts_at": "2025-03-04T14:41:00Z",
"emails": {
"booking_confirmation": false,
"move_in_day": false,
"payment_details": true
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"contact": {
"full_name": "John Doe",
"email": "john@doe.com",
"tax_id": "123456789",
"phone_number": "+447525920754",
"address": {
"line_1": "123 Main St",
"line_2": "Apt 4B",
"city": "Anytown",
"postal_code": "12345",
"state": "CA",
"country_alpha2": "US"
},
"type": "company",
"marketing_source": "recommendation",
"source": "walkin",
"use_case": "more_space"
},
"finalize": {
"cancel_redirect_url": "https://your-portal.com/orders/canceled"
},
"metadata": {
"source": "zapier",
"external_id": "abc_123"
},
"line_items": [
{
"type": "unit_type",
"quantity": 1,
"price": {
"amount": 1999
},
"item": {
"id": "utype_3b3aed5cca33b11d"
}
},
{
"type": "protection",
"quantity": 1,
"price": {
"amount": 2999
},
"item": {
"id": "plvl_851681552a608245"
}
},
{
"type": "product",
"quantity": 1,
"price": {
"amount": 1999
},
"item": {
"id": "prod_c4267b529ee675bd"
}
},
{
"type": "product",
"quantity": 2,
"price": {
"amount": 999
},
"item": {
"id": "prod_0bc539e1087f3070"
}
},
{
"type": "security_deposit",
"quantity": 1,
"price": {
"amount": 10000
},
"item": {
"id": "utype_3b3aed5cca33b11d"
}
}
]
}
'{
"order": {
"id": "order_9ef07151f2470754",
"billing_period": "monthly",
"contact": {
"id": "con_0ac0514ed0711462"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"created_at": "2025-02-22T14:41:00Z",
"email_notifications": {
"booking_confirmation": false,
"move_in_day": false,
"payment_details": true
},
"line_items": [
{
"id": "olitm_216f3087ddaf7756"
},
{
"id": "olitm_164fba4304f78ca3"
},
{
"id": "olitm_1d4561fd880ff259"
},
{
"id": "olitm_63ec122061433484"
},
{
"id": "olitm_9470fad13481e779"
}
],
"metadata": {
"source": "zapier",
"external_id": "abc_123"
},
"one_time_total": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"one_time_total_excluding_tax": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"payment_method": "card",
"payment_url": "https://acme.stora.test/payments/eyJfcmFpbHMiOnsibWVzc2FnZSI6Ik9yZGVyOjllZjA3MTUxZjI0NzA3NTQiLCJleHAiOm51bGwsInB1ciI6ImJvb2tpbmcifX0=--64460a36d14f62a4c152eb3e317212a7c68fc375/pay",
"purchase_order_number": "PO123456",
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"starts_at": "2025-03-04T14:41:00Z",
"status": "finalized",
"subscription": null,
"subtotal": {
"amount": 6997,
"currency": "GBP",
"formatted": "£69.97"
},
"tax": {
"amount": 584,
"currency": "GBP",
"formatted": "£5.84"
},
"tenancy": null,
"total": {
"amount": 3498,
"currency": "GBP",
"formatted": "£34.98"
},
"total_discount": {
"amount": 3499,
"currency": "GBP",
"formatted": "£34.99"
},
"total_excluding_tax": {
"amount": 2914,
"currency": "GBP",
"formatted": "£29.14"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Authorizations
Bearer Token necessary to use API
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Body
Create an order
Show child attributes
Show child attributes
monthly, weekly, every_four_weeks, every_three_months, every_six_months, yearly card, bacs_debit, sepa_debit, au_becs_debit, us_bank_account The purchase order number associated with the order.
The start date (date-time format) or now to indicate the order should start immediately after finalization.
Configure email notifications for the order. Deprecated, use the email_notifications field.
Show child attributes
Show child attributes
Configure email notifications for the order
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When this object is present, the order will be finalized, and the Payment URL will be returned. The order won't be stored if the finalization fails (for example, due to validation).
Show child attributes
Show child attributes
Set of key-value pairs for storing additional information on the order. Learn more about metadata.
Show child attributes
Show child attributes
Was this page helpful?